Skip to content
Start here

List DLS regions for an account

dls.regions.list(RegionListParams**kwargs) -> SyncCursorPagination[RegionListResponse]
GET/accounts/{account_id}/dls/regions

List DLS regions for an account

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: int
formatint64
cursor: Optional[str]

Opaque token for cursor-based pagination. Omit for the first page. Pass the value from a previous response to fetch the next page.

per_page: Optional[int]
maximum100
minimum1
type: Optional[Literal["managed", "custom"]]

Filter regions by type. Omit to return all regions.

One of the following:
"managed"
"custom"
ReturnsExpand Collapse
class RegionListResponse:
id: str
created_on: datetime
formatdate-time
modified_on: datetime
formatdate-time
name: str
region_key: str
maxLength128
minLength1
version: int
version_created_on: datetime
formatdate-time

List DLS regions for an account

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.dls.regions.list(
    account_id=0,
)
page = page.result[0]
print(page.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "id",
      "created_on": "2019-12-27T18:11:19.117Z",
      "modified_on": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "region_key": "x",
      "version": 0,
      "version_created_on": "2019-12-27T18:11:19.117Z"
    }
  ],
  "result_info": {
    "count": 0,
    "cursor": "cursor",
    "per_page": 0
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "id",
      "created_on": "2019-12-27T18:11:19.117Z",
      "modified_on": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "region_key": "x",
      "version": 0,
      "version_created_on": "2019-12-27T18:11:19.117Z"
    }
  ],
  "result_info": {
    "count": 0,
    "cursor": "cursor",
    "per_page": 0
  },
  "success": true
}